
---
layout: "post"
title: "Federation Myths"
date: 2018-08-15
tags:
    - fediverse
preview: "Do federated networks provide more privacy by default? Is federation more important than encryption? Some myths debunked in this article"
url: "https://infosec-handbook.eu/blog/federation-myths"
lang: en
---

Do federated networks guarantee privacy by default? Is federation more important than encryption?

Benjamin debunks some common myths in [this article](https://infosec-handbook.eu/blog/federation-myths).

It could be taken as a state of affairs, bitter truth about modern web communications. It could also be regarded as a brief overview of actual serious drawbacks that require more attention and effort than we as developers currently invest into it. Could we store less metadata by default? Could extra data protections be added?

Modern web communications are here to stay. It may be just the right time to face these challenges.
